Bullet Collision Detection & Physics Library: Bullet::btSoftBodyFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btSoftBodyFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btSoftBodyFloatData:
[legend]

## Public Attributes
btCollisionObjectFloatData | m_collisionObjectData
SoftBodyPoseData * | m_pose
SoftBodyMaterialData ** | m_materials
SoftBodyNodeData * | m_nodes
SoftBodyLinkData * | m_links
SoftBodyFaceData * | m_faces
SoftBodyTetraData * | m_tetrahedra
SoftRigidAnchorData * | m_anchors
SoftBodyClusterData * | m_clusters
btSoftBodyJointData * | m_joints
int | m_numMaterials
int | m_numNodes
int | m_numLinks
int | m_numFaces
int | m_numTetrahedra
int | m_numAnchors
int | m_numClusters
int | m_numJoints
SoftBodyConfigData | m_config

## Detailed Description

Definition at line 1427 of file bullet.h.

## Member Data Documentation

## ◆ m_anchors

SoftRigidAnchorData* Bullet::btSoftBodyFloatData::m_anchors

Definition at line 1437 of file bullet.h.

## ◆ m_clusters

SoftBodyClusterData* Bullet::btSoftBodyFloatData::m_clusters

Definition at line 1438 of file bullet.h.

## ◆ m_collisionObjectData

btCollisionObjectFloatData Bullet::btSoftBodyFloatData::m_collisionObjectData

Definition at line 1430 of file bullet.h.

## ◆ m_config

SoftBodyConfigData Bullet::btSoftBodyFloatData::m_config

Definition at line 1448 of file bullet.h.

## ◆ m_faces

SoftBodyFaceData* Bullet::btSoftBodyFloatData::m_faces

Definition at line 1435 of file bullet.h.

## ◆ m_joints

btSoftBodyJointData* Bullet::btSoftBodyFloatData::m_joints

Definition at line 1439 of file bullet.h.

## ◆ m_links

SoftBodyLinkData* Bullet::btSoftBodyFloatData::m_links

Definition at line 1434 of file bullet.h.

## ◆ m_materials

SoftBodyMaterialData** Bullet::btSoftBodyFloatData::m_materials

Definition at line 1432 of file bullet.h.

## ◆ m_nodes

SoftBodyNodeData* Bullet::btSoftBodyFloatData::m_nodes

Definition at line 1433 of file bullet.h.

## ◆ m_numAnchors

int Bullet::btSoftBodyFloatData::m_numAnchors

Definition at line 1445 of file bullet.h.

## ◆ m_numClusters

int Bullet::btSoftBodyFloatData::m_numClusters

Definition at line 1446 of file bullet.h.

## ◆ m_numFaces

int Bullet::btSoftBodyFloatData::m_numFaces

Definition at line 1443 of file bullet.h.

## ◆ m_numJoints

int Bullet::btSoftBodyFloatData::m_numJoints

Definition at line 1447 of file bullet.h.

## ◆ m_numLinks

int Bullet::btSoftBodyFloatData::m_numLinks

Definition at line 1442 of file bullet.h.

## ◆ m_numMaterials

int Bullet::btSoftBodyFloatData::m_numMaterials

Definition at line 1440 of file bullet.h.

## ◆ m_numNodes

int Bullet::btSoftBodyFloatData::m_numNodes

Definition at line 1441 of file bullet.h.

## ◆ m_numTetrahedra

int Bullet::btSoftBodyFloatData::m_numTetrahedra

Definition at line 1444 of file bullet.h.

## ◆ m_pose

SoftBodyPoseData* Bullet::btSoftBodyFloatData::m_pose

Definition at line 1431 of file bullet.h.

## ◆ m_tetrahedra

SoftBodyTetraData* Bullet::btSoftBodyFloatData::m_tetrahedra

Definition at line 1436 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h